/* A Bison parser, made by GNU Bison 3.6.3.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_ZEND_HOME_BUILDOZER_APORTS_COMMUNITY_PHP7_SRC_PHP_7_4_7_ZEND_ZEND_LANGUAGE_PARSER_H_INCLUDED
# define YY_ZEND_HOME_BUILDOZER_APORTS_COMMUNITY_PHP7_SRC_PHP_7_4_7_ZEND_ZEND_LANGUAGE_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int zenddebug;
#endif
/* "%code requires" blocks.  */
#line 49 "/home/buildozer/aports/community/php7/src/php-7.4.7/Zend/zend_language_parser.y"


#line 52 "/home/buildozer/aports/community/php7/src/php-7.4.7/Zend/zend_language_parser.h"

/* Token kinds.  */
#include "zend.h"
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    END = 0,                       /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    PREC_ARROW_FUNCTION = 258,     /* PREC_ARROW_FUNCTION  */
    T_INCLUDE = 259,               /* "include (T_INCLUDE)"  */
    T_INCLUDE_ONCE = 260,          /* "include_once (T_INCLUDE_ONCE)"  */
    T_REQUIRE = 261,               /* "require (T_REQUIRE)"  */
    T_REQUIRE_ONCE = 262,          /* "require_once (T_REQUIRE_ONCE)"  */
    T_LOGICAL_OR = 263,            /* "or (T_LOGICAL_OR)"  */
    T_LOGICAL_XOR = 264,           /* "xor (T_LOGICAL_XOR)"  */
    T_LOGICAL_AND = 265,           /* "and (T_LOGICAL_AND)"  */
    T_PRINT = 266,                 /* "print (T_PRINT)"  */
    T_YIELD = 267,                 /* "yield (T_YIELD)"  */
    T_DOUBLE_ARROW = 268,          /* "=> (T_DOUBLE_ARROW)"  */
    T_YIELD_FROM = 269,            /* "yield from (T_YIELD_FROM)"  */
    T_PLUS_EQUAL = 270,            /* "+= (T_PLUS_EQUAL)"  */
    T_MINUS_EQUAL = 271,           /* "-= (T_MINUS_EQUAL)"  */
    T_MUL_EQUAL = 272,             /* "*= (T_MUL_EQUAL)"  */
    T_DIV_EQUAL = 273,             /* "/= (T_DIV_EQUAL)"  */
    T_CONCAT_EQUAL = 274,          /* ".= (T_CONCAT_EQUAL)"  */
    T_MOD_EQUAL = 275,             /* "%= (T_MOD_EQUAL)"  */
    T_AND_EQUAL = 276,             /* "&= (T_AND_EQUAL)"  */
    T_OR_EQUAL = 277,              /* "|= (T_OR_EQUAL)"  */
    T_XOR_EQUAL = 278,             /* "^= (T_XOR_EQUAL)"  */
    T_SL_EQUAL = 279,              /* "<<= (T_SL_EQUAL)"  */
    T_SR_EQUAL = 280,              /* ">>= (T_SR_EQUAL)"  */
    T_POW_EQUAL = 281,             /* "**= (T_POW_EQUAL)"  */
    T_COALESCE_EQUAL = 282,        /* "??= (T_COALESCE_EQUAL)"  */
    T_COALESCE = 283,              /* "?? (T_COALESCE)"  */
    T_BOOLEAN_OR = 284,            /* "|| (T_BOOLEAN_OR)"  */
    T_BOOLEAN_AND = 285,           /* "&& (T_BOOLEAN_AND)"  */
    T_IS_EQUAL = 286,              /* "== (T_IS_EQUAL)"  */
    T_IS_NOT_EQUAL = 287,          /* "!= (T_IS_NOT_EQUAL)"  */
    T_IS_IDENTICAL = 288,          /* "=== (T_IS_IDENTICAL)"  */
    T_IS_NOT_IDENTICAL = 289,      /* "!== (T_IS_NOT_IDENTICAL)"  */
    T_SPACESHIP = 290,             /* "<=> (T_SPACESHIP)"  */
    T_IS_SMALLER_OR_EQUAL = 291,   /* "<= (T_IS_SMALLER_OR_EQUAL)"  */
    T_IS_GREATER_OR_EQUAL = 292,   /* ">= (T_IS_GREATER_OR_EQUAL)"  */
    T_SL = 293,                    /* "<< (T_SL)"  */
    T_SR = 294,                    /* ">> (T_SR)"  */
    T_INSTANCEOF = 295,            /* "instanceof (T_INSTANCEOF)"  */
    T_INT_CAST = 296,              /* "(int) (T_INT_CAST)"  */
    T_DOUBLE_CAST = 297,           /* "(double) (T_DOUBLE_CAST)"  */
    T_STRING_CAST = 298,           /* "(string) (T_STRING_CAST)"  */
    T_ARRAY_CAST = 299,            /* "(array) (T_ARRAY_CAST)"  */
    T_OBJECT_CAST = 300,           /* "(object) (T_OBJECT_CAST)"  */
    T_BOOL_CAST = 301,             /* "(bool) (T_BOOL_CAST)"  */
    T_UNSET_CAST = 302,            /* "(unset) (T_UNSET_CAST)"  */
    T_POW = 303,                   /* "** (T_POW)"  */
    T_NEW = 304,                   /* "new (T_NEW)"  */
    T_CLONE = 305,                 /* "clone (T_CLONE)"  */
    T_NOELSE = 306,                /* T_NOELSE  */
    T_ELSEIF = 307,                /* "elseif (T_ELSEIF)"  */
    T_ELSE = 308,                  /* "else (T_ELSE)"  */
    T_LNUMBER = 309,               /* "integer number (T_LNUMBER)"  */
    T_DNUMBER = 310,               /* "floating-point number (T_DNUMBER)"  */
    T_STRING = 311,                /* "identifier (T_STRING)"  */
    T_VARIABLE = 312,              /* "variable (T_VARIABLE)"  */
    T_INLINE_HTML = 313,           /* T_INLINE_HTML  */
    T_ENCAPSED_AND_WHITESPACE = 314, /* "quoted-string and whitespace (T_ENCAPSED_AND_WHITESPACE)"  */
    T_CONSTANT_ENCAPSED_STRING = 315, /* "quoted-string (T_CONSTANT_ENCAPSED_STRING)"  */
    T_STRING_VARNAME = 316,        /* "variable name (T_STRING_VARNAME)"  */
    T_NUM_STRING = 317,            /* "number (T_NUM_STRING)"  */
    T_EVAL = 318,                  /* "eval (T_EVAL)"  */
    T_INC = 319,                   /* "++ (T_INC)"  */
    T_DEC = 320,                   /* "-- (T_DEC)"  */
    T_EXIT = 321,                  /* "exit (T_EXIT)"  */
    T_IF = 322,                    /* "if (T_IF)"  */
    T_ENDIF = 323,                 /* "endif (T_ENDIF)"  */
    T_ECHO = 324,                  /* "echo (T_ECHO)"  */
    T_DO = 325,                    /* "do (T_DO)"  */
    T_WHILE = 326,                 /* "while (T_WHILE)"  */
    T_ENDWHILE = 327,              /* "endwhile (T_ENDWHILE)"  */
    T_FOR = 328,                   /* "for (T_FOR)"  */
    T_ENDFOR = 329,                /* "endfor (T_ENDFOR)"  */
    T_FOREACH = 330,               /* "foreach (T_FOREACH)"  */
    T_ENDFOREACH = 331,            /* "endforeach (T_ENDFOREACH)"  */
    T_DECLARE = 332,               /* "declare (T_DECLARE)"  */
    T_ENDDECLARE = 333,            /* "enddeclare (T_ENDDECLARE)"  */
    T_AS = 334,                    /* "as (T_AS)"  */
    T_SWITCH = 335,                /* "switch (T_SWITCH)"  */
    T_ENDSWITCH = 336,             /* "endswitch (T_ENDSWITCH)"  */
    T_CASE = 337,                  /* "case (T_CASE)"  */
    T_DEFAULT = 338,               /* "default (T_DEFAULT)"  */
    T_BREAK = 339,                 /* "break (T_BREAK)"  */
    T_CONTINUE = 340,              /* "continue (T_CONTINUE)"  */
    T_GOTO = 341,                  /* "goto (T_GOTO)"  */
    T_FUNCTION = 342,              /* "function (T_FUNCTION)"  */
    T_FN = 343,                    /* "fn (T_FN)"  */
    T_CONST = 344,                 /* "const (T_CONST)"  */
    T_RETURN = 345,                /* "return (T_RETURN)"  */
    T_TRY = 346,                   /* "try (T_TRY)"  */
    T_CATCH = 347,                 /* "catch (T_CATCH)"  */
    T_FINALLY = 348,               /* "finally (T_FINALLY)"  */
    T_THROW = 349,                 /* "throw (T_THROW)"  */
    T_USE = 350,                   /* "use (T_USE)"  */
    T_INSTEADOF = 351,             /* "insteadof (T_INSTEADOF)"  */
    T_GLOBAL = 352,                /* "global (T_GLOBAL)"  */
    T_STATIC = 353,                /* "static (T_STATIC)"  */
    T_ABSTRACT = 354,              /* "abstract (T_ABSTRACT)"  */
    T_FINAL = 355,                 /* "final (T_FINAL)"  */
    T_PRIVATE = 356,               /* "private (T_PRIVATE)"  */
    T_PROTECTED = 357,             /* "protected (T_PROTECTED)"  */
    T_PUBLIC = 358,                /* "public (T_PUBLIC)"  */
    T_VAR = 359,                   /* "var (T_VAR)"  */
    T_UNSET = 360,                 /* "unset (T_UNSET)"  */
    T_ISSET = 361,                 /* "isset (T_ISSET)"  */
    T_EMPTY = 362,                 /* "empty (T_EMPTY)"  */
    T_HALT_COMPILER = 363,         /* "__halt_compiler (T_HALT_COMPILER)"  */
    T_CLASS = 364,                 /* "class (T_CLASS)"  */
    T_TRAIT = 365,                 /* "trait (T_TRAIT)"  */
    T_INTERFACE = 366,             /* "interface (T_INTERFACE)"  */
    T_EXTENDS = 367,               /* "extends (T_EXTENDS)"  */
    T_IMPLEMENTS = 368,            /* "implements (T_IMPLEMENTS)"  */
    T_OBJECT_OPERATOR = 369,       /* "-> (T_OBJECT_OPERATOR)"  */
    T_LIST = 370,                  /* "list (T_LIST)"  */
    T_ARRAY = 371,                 /* "array (T_ARRAY)"  */
    T_CALLABLE = 372,              /* "callable (T_CALLABLE)"  */
    T_LINE = 373,                  /* "__LINE__ (T_LINE)"  */
    T_FILE = 374,                  /* "__FILE__ (T_FILE)"  */
    T_DIR = 375,                   /* "__DIR__ (T_DIR)"  */
    T_CLASS_C = 376,               /* "__CLASS__ (T_CLASS_C)"  */
    T_TRAIT_C = 377,               /* "__TRAIT__ (T_TRAIT_C)"  */
    T_METHOD_C = 378,              /* "__METHOD__ (T_METHOD_C)"  */
    T_FUNC_C = 379,                /* "__FUNCTION__ (T_FUNC_C)"  */
    T_COMMENT = 380,               /* "comment (T_COMMENT)"  */
    T_DOC_COMMENT = 381,           /* "doc comment (T_DOC_COMMENT)"  */
    T_OPEN_TAG = 382,              /* "open tag (T_OPEN_TAG)"  */
    T_OPEN_TAG_WITH_ECHO = 383,    /* "open tag with echo (T_OPEN_TAG_WITH_ECHO)"  */
    T_CLOSE_TAG = 384,             /* "close tag (T_CLOSE_TAG)"  */
    T_WHITESPACE = 385,            /* "whitespace (T_WHITESPACE)"  */
    T_START_HEREDOC = 386,         /* "heredoc start (T_START_HEREDOC)"  */
    T_END_HEREDOC = 387,           /* "heredoc end (T_END_HEREDOC)"  */
    T_DOLLAR_OPEN_CURLY_BRACES = 388, /* "${ (T_DOLLAR_OPEN_CURLY_BRACES)"  */
    T_CURLY_OPEN = 389,            /* "{$ (T_CURLY_OPEN)"  */
    T_PAAMAYIM_NEKUDOTAYIM = 390,  /* ":: (T_PAAMAYIM_NEKUDOTAYIM)"  */
    T_NAMESPACE = 391,             /* "namespace (T_NAMESPACE)"  */
    T_NS_C = 392,                  /* "__NAMESPACE__ (T_NS_C)"  */
    T_NS_SEPARATOR = 393,          /* "\\ (T_NS_SEPARATOR)"  */
    T_ELLIPSIS = 394,              /* "... (T_ELLIPSIS)"  */
    T_BAD_CHARACTER = 395,         /* "invalid character (T_BAD_CHARACTER)"  */
    T_ERROR = 396                  /* T_ERROR  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif

/* Value type.  */



ZEND_API int zendparse (void);

#endif /* !YY_ZEND_HOME_BUILDOZER_APORTS_COMMUNITY_PHP7_SRC_PHP_7_4_7_ZEND_ZEND_LANGUAGE_PARSER_H_INCLUDED  */
